repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.6.0
    hooks:
      - id: trailing-whitespace
        exclude: ^public/
      - id: end-of-file-fixer
        exclude: ^public/
      - id: check-yaml
      - id: check-added-large-files
        exclude: ^public/
      # - id: no-commit-to-branch
      #   args: [--branch, master]
  - repo: "https://gitlab.cern.ch/lhcb-core/LbDevTools.git"
    rev: 2.0.41
    hooks:
      - id: lb-add-copyright
        exclude: ^public/OidcServiceWorker.js

  - repo: https://github.com/pre-commit/mirrors-prettier
    rev: "v4.0.0-alpha.8" # Use the sha or tag you want to point at
    hooks:
      - id: prettier
        exclude: ^public/
        additional_dependencies:
          - "prettier@3.3.3"
          - "@trivago/prettier-plugin-sort-imports@4.3.0"
